Category Update Position
Update the category's position in the tree. You may change the parent using `parent`, and/or reposition the category among its siblings using either `before` or `after`. Use this operation for drag-and-drop interfaces.
Update the category's position in the tree. You may change the parent
using parent, and/or reposition the category among its siblings using
either before or after. Use this operation for drag-and-drop
interfaces.
storyden-session<token>category_slug*stringUnique category URL slug.
application/json- body
Parameters for repositioning a category in the hierarchy. Update the
parent using parent, and/or reposition among siblings using before
or after. Using both before and after is not allowed.
parent?|Optional new parent category identifier. Set to null to move to the root level.
xidbefore?IdentifierMove this category after the sibling with this identifier.
xidafter?IdentifierMove this category after the sibling with this identifier.
xidOK
application/json- response
categories*array<>curl -X PATCH 'https://example.com/api/categories/string/position' \ -H 'Content-Type: application/json' \ -d '{}'{ "categories": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "slug": "string", "description": "string", "colour": "string", "sort": 0, "parent": "string", "cover_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "children": [], "meta": {}, "postCount": 0 } ]}